All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.security
Class NetworkLoginServiceException

    com.sas.services.security.NetworkLoginServiceException

All Implemented Interfaces:
  com.sas.util.ChainedExceptionInterface, java.io.Serializable

Direct Known Subclasses:
  BadHostLoginServiceException, ConnectRefusedLoginServiceException

    public class NetworkLoginServiceException

implements java.io.Serializable

This exception gets thrown when a user attempts to authenticate, and the authentication fails because of network problems. Specific subclasses of this exception can be used when more information about the failure can be determined.

Since:
  1.0
See Also:
  Serialized Form

Constructor Summary
`NetworkLoginServiceException()` Constructs a default network login exception.
`NetworkLoginServiceException(java.lang.String message)` Constructs a network login exception using the specified message detailing the failure.
`NetworkLoginServiceException(java.lang.Throwable throwable, java.lang.String message)` Constructs a network login exception.

Method Summary

Methods inherited from class com.sas.util.ChainedException
`chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

Constructor Detail

### NetworkLoginServiceException

    public NetworkLoginServiceException()

  Constructs a default network login exception.

### NetworkLoginServiceException

    public NetworkLoginServiceException(java.lang.String message)

  Constructs a network login exception using the specified message detailing the failure.

  Parameters:
    `message` - Message detailing why the login failed.

### NetworkLoginServiceException

    public NetworkLoginServiceException(java.lang.Throwable throwable,
                                        java.lang.String message)

  Constructs a network login exception.

  Parameters:
    `throwable` - Throwable which caused the login failure.
    `message` - Message detailing why the login failed.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.